This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: test_subprocess logs multiple ResourceWarning warnings
Type: Stage: resolved
Components: Tests Versions: Python 3.10
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Resource warnings in test_subprocess
View: 43826
Assigned To: Nosy List: corona10, vstinner
Priority: normal Keywords:

Created on 2021-03-23 00:41 by vstinner, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Messages (1)
msg389359 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-03-23 00:41
$ ./python -m test test_subprocess -v
(...)
test_send_signal_race2 (test.test_subprocess.POSIXProcessTestCase) ... /home/vstinner/python/master/Lib/subprocess.py:1062: ResourceWarning: subprocess 137193 is still running
  _warn("subprocess %s is still running" % self.pid,
ResourceWarning: Enable tracemalloc to get the object allocation traceback
ok

test_pipesize_default (test.test_subprocess.ProcessTestCase) ... /home/vstinner/python/master/Lib/unittest/case.py:549: ResourceWarning: unclosed file <_io.BufferedReader name=8>
  method()
ResourceWarning: Enable tracemalloc to get the object allocation traceback
/home/vstinner/python/master/Lib/unittest/case.py:549: ResourceWarning: unclosed file <_io.BufferedReader name=10>
  method()
ResourceWarning: Enable tracemalloc to get the object allocation traceback
ok

test_pipesize_default (test.test_subprocess.ProcessTestCaseNoPoll) ... /home/vstinner/python/master/Lib/unittest/case.py:549: ResourceWarning: unclosed file <_io.BufferedReader name=8>
  method()
ResourceWarning: Enable tracemalloc to get the object allocation traceback
/home/vstinner/python/master/Lib/unittest/case.py:549: ResourceWarning: unclosed file <_io.BufferedReader name=10>
  method()
ResourceWarning: Enable tracemalloc to get the object allocation traceback
ok
(...)
History
Date User Action Args
2022-04-11 14:59:43adminsetgithub: 87764
2021-08-24 08:33:07serhiy.storchakasetstatus: open -> closed
superseder: Resource warnings in test_subprocess
resolution: duplicate
stage: resolved
2021-03-23 01:02:49corona10setnosy: + corona10
2021-03-23 00:41:55vstinnercreate